Security Lab

PHP-инклюдинг в Dagger

Дата публикации:25.06.2007
Дата изменения:24.06.2008
Всего просмотров:2570
Опасность:
Высокая
Наличие исправления: Да
Количество уязвимостей:1
CVE ID: Нет данных
Вектор эксплуатации: Удаленная
Воздействие: Раскрытие важных данных
Раскрытие системных данных
Компрометация системы
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: Dagger
Уязвимые версии: Dagger r23jan2007, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "dir_edge_lang" в сценарии cal.func.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/[path]/cal.func.php?dir_edge_lang=[file]

URL производителя: labs.geody.com/dagger/

Решение: Установите исправление с сайта производителя.